<!-- No olvidar agregar ReactiveFormsModule en App.module.ts, util para trabajar con formularios-->
<form class="example-container" [formGroup]="form" #frmPaciente="ngForm" (ngSubmit)="operar()">

    <div [hidden]="true">
        <mat-form-field class="example-full-width">
            <input matInput placeholder="ID" required formControlName="id">
        </mat-form-field>
    </div>

    <mat-form-field class="example-full-width">
        <input matInput placeholder="Nombres" minlength="3" required formControlName="nombres">
        <small *ngIf="f.nombres.errors?.required && f.nombres.touched" class="invalido">Nombre es requerido</small>
        <small *ngIf="f.nombres.errors?.minlength && f.nombres.touched" class="invalido">El campo debe ser mayor a 3 caracteres</small>
    </mat-form-field>

    <mat-form-field class="example-full-width">
        <input matInput placeholder="Apellidos" required formControlName="apellidos">
        <small *ngIf="f.apellidos.errors?.required && f.apellidos.touched" class="invalido">Apellido es requerido</small>
    </mat-form-field>

    <mat-form-field class="example-full-width">
        <input matInput placeholder="DNI" required formControlName="dni" type="number">
    </mat-form-field>

    <mat-form-field class="example-full-width">
        <input matInput placeholder="Teléfono" required formControlName="telefono" type="number">
    </mat-form-field>

    <mat-form-field class="example-full-width">
        <input matInput placeholder="Direccion" required formControlName="direccion">
    </mat-form-field>

    <button mat-raised-button color="primary" type="submit" [disabled]="frmPaciente.invalid">
        <mat-icon>done</mat-icon>
        <span>Aceptar</span>
    </button>
    <button mat-raised-button color="accent" routerLink='/paciente' type="button">
        <mat-icon>close</mat-icon>
        <span>Cancelar</span>
    </button>

</form>
